metainfojob.h
// -*- c++ -*-
// vim: ts=4 sw=4 et
/* This file is part of the KDE libraries
Copyright (C) 2001 Rolf Magnus <ramagnus@kde.org>
parts of this taken from previewjob.h
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation version 2.0.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef __kio_metainfojob_h__
#define __kio_metainfojob_h__
#include <kio/job.h>
#include <kfileitem.h>
namespace KIO {
class KIO_EXPORT MetaInfoJob : public KIO::Job
{
Q_OBJECT
public:
MetaInfoJob(const KFileItemList &items, bool deleteItems = false);
virtual ~MetaInfoJob();
void removeItem( const KFileItem *item );
static QStringList availablePlugins();
static QStringList supportedMimeTypes();
signals:
void gotMetaInfo( const KFileItem *item );
void failed( const KFileItem *item );
protected:
void getMetaInfo();
protected slots:
virtual void slotResult( KIO::Job *job );
private slots:
void start();
void slotMetaInfo(KIO::Job *, const QByteArray &);
private:
void determineNextFile();
// void saveMetaInfo(const QByteArray info);
private:
struct MetaInfoJobPrivate *d;
};
KIO_EXPORT MetaInfoJob* fileMetaInfo(const KFileItemList& items);
KIO_EXPORT MetaInfoJob* fileMetaInfo(const KURL::List& items);
}
#endif
KIO::fileMetaInfo
KIO_EXPORT MetaInfoJob * fileMetaInfo(const KFileItemList &items)
Retrieves meta information for the given items.
Definition: metainfojob.cpp:172
KIO::Job
The base class for all jobs.
Definition: jobclasses.h:68
KIO::MetaInfoJob
MetaInfoJob is a KIO Job to retrieve meta information from files.
Definition: metainfojob.h:35
KFileItem
A KFileItem is a generic class to handle a file, local or remote.
Definition: kfileitem.h:41

KDE Home | KDE Accessibility Home | Description of Access Keys